# Structura
**Automated Folder Structure & Dependency Management for Python Projects**

## Overview
Structura is a project scaffolding tool that **automatically generates folder structures** (MVC, Hexagonal, MVCS) and **installs dependencies** with their required configurations for Python projects using the **Flask** or **FastAPI** framework.

## Features
✅ Supports multiple architectures: **MVC, MVCS, Hexagonal, etc.**
✅ Auto-generates **folders & boilerplate files**
✅ Installs dependencies
✅ Configurable via **YAML files**
✅ Flexible & extensible

## Installation
```bash
pip install structura-py
```

## Usage
### Initialize a new project
```bash
structura-py init myproject --framework flask
```


### Generate project files
```bash
structura-py init
```

## Folder Structure Example
```
```

## Contributing
1. Fork the repo
2. Create a feature branch
3. Open a PR

## License
MIT License
